use bevy_ecs::resource::Resource;
use glam::Vec3;

#[derive(Resource, Debug, Clone)]
pub struct Velocity {
    pub linear: Vec3,
    pub angular: Vec3,
}

impl Velocity {
    pub fn new(linear: Vec3, angular: Vec3) -> Self {
        Self { linear, angular }
    }
}
